@font-face {
    font-family: "Avenir Next";
    src: url('/font/AvenirNext.otf') format('opentype');
}

/* Default color styles */
:root {
  --pure-white: #FFFFFF;
  --off-white: #F2F2F2; 
  
  --grey: #E5E5E5;
  --dark-grey: #D9D9D9;
  --darker-grey: #CCCCCC;
  --dark-grey-blue: #222529;

  --primary-25: rgb(from var(--primary-color) r g b / 0.25);
  --primary-75: rgb(from var(--primary-color) r g b / 0.75);
  --primary-90: rgb(from var(--primary-color) r g b / 0.90);

  --secondary-25: rgb(from var(--secondary-color) r g b / 0.25);
  --secondary-75: rgb(from var(--secondary-color) r g b / 0.75);
  --secondary-90: rgb(from var(--secondary-color) r g b / 0.90);

  --tertiary-25: rgb(from var(--tertiary-color) r g b / 0.25);
  --tertiary-75: rgb(from var(--tertiary-color) r g b / 0.75);
  --tertiary-90: rgb(from var(--tertiary-color) r g b / 0.90);
}

html,
body {
  margin: 0;
  padding: 0;
  background-color: var(--off-white);
  min-height: 100vh; 
  display: flex; 
  flex-direction: column;
}

/* Header */
.navbar-toggler {
  border: transparent;
  padding: 3px;
}

.breadcrumb-item a {
  color: var(--primary-color) !important; 
}

/* User Dropdown Button */
.navbar-nav .dropdown-menu {
  position: absolute;
}

.navbar-nav .dropdown-item:hover {
  background-color: var(--grey);
}

.navbar-nav .dropdown-item:active {
  background-color: var(--grey);
}



/* Footer */



/* Sidebar */
.sidebar {
  background-color:var(--primary-color);
}

.sidebarLink {
  color: var(--off-white);
  margin-bottom: 0.25rem;
}

.sidebarLink:hover {
  color: var(--dark-grey-blue);
}

/* Collapse on d-md or greater */
@media (min-width: 768px) {
  #adminSidebarOuter {
      transition: height .35s ease;
      height: auto;
      width: 200px;
  }

  /* On page load */
  html.sidebar-collapsed #adminSidebarOuter {
    width: 0;
    overflow: hidden;
  }

  /* On toggle */
  #adminSidebarOuter.is-collapsed {
      width: 0;
      overflow: hidden;
  }
}



/* Backgrounds */
/* bgOrange && viewStyle => primaryBg */
/* bgGreen => secondaryBg  */
/* vipWhite => offwhiteBg */
/* bgGrey => darkgreyBg */
/* bgDropdown => greyInsetBg */
.primaryBg {
  background-color: var(--primary-color) !important;
}

.secondaryBg {
  background-color: var(--secondary-color) !important;
}

.tertiaryBg {
  background-color: var(--tertiary-color) !important;
}

.offwhiteBg {
  background-color: var(--off-white);
}

.whiteBg {
  background-color: var(--pure-white);
}

.greyBg {
  background-color: var(--grey);
}

.darkergreyBg {
  background-color: var(--darker-grey);
}

.darkgreyBg {
  background-color: var(--dark-grey-blue);
}

.greyInsetBg {
  background-color: var(--grey);
  box-shadow: inset 0px 0px 10px 5px var(--dark-grey);
}



/* Text */
/* textWhite => offwhiteTxt */
.primaryTxt {
  color: var(--primary-color);
}

.secondaryTxt {
  color: var(--secondary-color);
}

.tertiaryTxt {
  color: var(--tertiary-color);
}

.offwhiteTxt {
  color: var(--off-white);
}

.whiteTxt {
  color: var(--pure-white);
}

.darkGreyBlueTxt {
  color: var(--dark-grey-blue);
}


/* Buttons */
/* vipBtn => primaryBtn */
/* vipBtnAlt => primaryAltBtn */
/* outlineDangerBtn & vipBtn-outline => primaryOutlineBtn */
/* bookBtn => secondaryBtn */
/* welcomeBtn => tertiaryBtn */
/* moreBtn & returnBtn => greyBtn */
.primaryBtn {
  --bs-btn-bg: var(--primary-color);
  --bs-btn-color: var(--off-white);
  --bs-btn-border-color: transparent;

  --bs-btn-hover-bg: color-mix(in oklab, var(--primary-color) 100%, black 10%);
  --bs-btn-hover-color: var(--off-white);

  --bs-btn-active-bg: color-mix(in oklab, var(--primary-color) 100%, black 10%);
  --bs-btn-active-color: var(--off-white);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: var(--primary-90);
  --bs-btn-disabled-color: var(--off-white);
  --bs-btn-disabled-border-color: transparent;
}

.primaryAltBtn {
  --bs-btn-bg: var(--off-white);
  --bs-btn-color: var(--primary-color);
  --bs-btn-border-color: transparent;

  --bs-btn-hover-bg: color-mix(in oklab, var(--off-white) 100%, black 5%);
  --bs-btn-hover-color: var(--primary-color);
  --bs-btn-hover-border-color: transparent;

  --bs-btn-active-bg: color-mix(in oklab, var(--off-white) 100%, black 5%);
  --bs-btn-active-color: var(--primary-color);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: var(--off-white);
  --bs-btn-disabled-color: var(--primary-color);
  --bs-btn-disabled-border-color: transparent;
}

.primaryOutlineBtn {
  --bs-btn-bg: transparent;
  --bs-btn-color: var(--primary-color);
  --bs-btn-border-color: var(--primary-color);

  --bs-btn-hover-bg: var(--primary-color);
  --bs-btn-hover-color: var(--off-white);
  --bs-btn-hover-border-color: transparent;

  --bs-btn-active-bg: var(--primary-color);
  --bs-btn-active-color: var(--off-white);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-color: var(--primary-color);
  --bs-btn-disabled-border-color: var(--primary-color);
}

.secondaryBtn {
  --bs-btn-bg: var(--secondary-color);
  --bs-btn-color: var(--off-white);
  --bs-btn-border-color: transparent;

  --bs-btn-hover-bg: color-mix(in oklab, var(--secondary-color) 100%, black 10%);
  --bs-btn-hover-color: var(--off-white);
  --bs-btn-hover-border-color: transparent;

  --bs-btn-active-bg: color-mix(in oklab, var(--secondary-color) 100%, black 10%);
  --bs-btn-active-color: var(--off-white);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: var(--secondary-90);
  --bs-btn-disabled-color: var(--off-white);
  --bs-btn-disabled-border-color: transparent;
}

.secondaryOutlineBtn {
  --bs-btn-bg: transparent;
  --bs-btn-color: var(--secondary-color);
  --bs-btn-border-color: var(--secondary-color);

  --bs-btn-hover-bg: var(--secondary-color);
  --bs-btn-hover-color: var(--off-white);
  --bs-btn-hover-border-color: transparent;

  --bs-btn-active-bg: var(--secondary-color);
  --bs-btn-active-color: var(--off-white);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-color: var(--secondary-color);
  --bs-btn-disabled-border-color: var(--secondary-color);
}

.tertiaryBtn {
  --bs-btn-bg: var(--tertiary-color);
  --bs-btn-color: var(--off-white);
  --bs-btn-border-color: transparent;

  --bs-btn-hover-bg: color-mix(in oklab, var(--tertiary-color) 100%, black 10%);
  --bs-btn-hover-color: var(--off-white);
  --bs-btn-hover-border-color: transparent;

  --bs-btn-active-bg: color-mix(in oklab, var(--tertiary-color) 100%, black 10%);
  --bs-btn-active-color: var(--off-white);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: var(--tertiary-90);
  --bs-btn-disabled-color: var(--off-white);
  --bs-btn-disabled-border-color: transparent;
}

.greyBtn {
  --bs-btn-bg: var(--grey);
  --bs-btn-color: var(--dark-grey-blue);
  --bs-btn-border-color: transparent;

  --bs-btn-hover-bg: var(--dark-grey);
  --bs-btn-hover-color: var(--dark-grey-blue);
  --bs-btn-hover-border-color: transparent;

  --bs-btn-active-bg: var(--dark-grey);
  --bs-btn-active-color: var(--dark-grey-blue);
  --bs-btn-active-border-color: transparent;

  --bs-btn-disabled-bg: var(--dark-grey);
  --bs-btn-disabled-color: var(--dark-grey-blue);
  --bs-btn-disabled-border-color: transparent;
}

.xsBtn {
  --bs-btn-padding-y: .25rem; 
  --bs-btn-padding-x: .5rem; 
  --bs-btn-font-size: .75rem;
  --bs-border-radius: 2px;
}

.fakeDisabledBtn {
  opacity: var(--bs-btn-disabled-opacity);
  cursor: not-allowed !important;
}




/* Tempus Dominus (Datepicker) */
.tempus-dominus-widget {
  padding:1rem !important;
}

.tempus-dominus-widget.light .date-container-days .dow {
  color: var(--primary-color);
  font-weight: 600;
}

.tempus-dominus-widget.light .date-container-days .today {
  background-color: var(--dark-grey);
  color: var(--pure-white);
}

.tempus-dominus-widget.light .date-container-days .active {
  background-color: var(--primary-color) !important;
  color: var(--pure-white);
}

.tempus-dominus-widget.light .date-container-days div:not(.no-highlight).today:before {
  border-bottom-color: transparent !important;
  border-top-color: transparent !important;
}

.tempus-dominus-widget.light button {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
  color: var(--pure-white);
}

/* Don't think this range is applicable */
.tempus-dominus-widget.light .date-container-days .range-start {
  background-color: var(--primary-color) !important;
  color: var(--pure-white);
}

.tempus-dominus-widget.light .date-container-days .range-in {
  background-color: var(--primary-color) !important;
  box-shadow: -5px 0 0 var(--primary-color), 5px 0 0 var(--primary-color);
  color: var(--pure-white);
}

.tempus-dominus-widget.light .date-container-days .range-end {
  background-color: var(--primary-color) !important;
  color: var(--pure-white);
}



/* Forms */
.form-control:focus {
  z-index: 2;
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.25rem rgb(from var(--primary-color) r g b / .25);
}

/* Radio and Checkboxes */
.form-check-input:focus {  
  z-index: 2;
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.25rem rgb(from var(--primary-color) r g b / .25);
}

.form-check-input:checked {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}

.two-checkbox .input.select .checkbox {
  float: left;
  width: 50%;
  box-sizing: border-box;
}

.two-checkbox .input.select .checkbox:nth-child(2n) {
  clear: left;
}

.two-checkbox:after {
  content: "";
  display: table;
  clear: both;
}

.fakeDisabledCheckbox {
  opacity:0.5; 
  cursor:not-allowed; 
  pointer-events: none;
}

/* Selects */
.form-select:focus {
  z-index: 2;
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.25rem rgb(from var(--primary-color) r g b / .25); 
}



/* Tables */
/* #invoice-table, .red-table-header => .primaryTableHead */
/* #user-booking-table => .secondaryTableHead */
/* #plus-table => .removeLastBorder */
.primaryTableHead > thead {
  --bs-table-bg: var(--primary-color);
  --bs-table-color: var(--off-white);
}

.secondaryTableHead > thead {
  --bs-table-bg: var(--secondary-color);
  --bs-table-color: var(--off-white);
}

.removeLastBorder > tbody > tr:last-child {
  border-bottom: transparent;
}

.removeFooterBg {
  --bs-table-bg: none;
}

.footerRowPartial {
  --bs-table-bg: var(--dark-grey);
}

.footerRowTotal {
  --bs-table-bg: var(--darker-grey);
  border-color: transparent;
}



/* Cards */
/* .cardStyle => .customCard */
/* .priorityCard => .secondaryCard */
/* iconCard, membershipCard, addonCard, productCard => hoverCard */
.card-header {
  background-color: #F8F9FA; /* Used mainly in form inputs for files and text */
}

.customCard {
  --bs-card-bg: var(--off-white);
  --bs-card-border-radius: 10px;
  padding: 1.5rem;
  box-shadow: 0 .5rem .5rem rgba(0, 0, 0, .15);

  @media (min-width: 768px) {
    padding: 2rem;
  }
}

/* iconCard, membershipCard, addonCard, productCard */
.hoverCard:hover {
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.25rem rgb(from var(--primary-color) r g b / .25);
}

.selectedCard {
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.25rem rgb(from var(--primary-color) r g b / .25);
}

.secondaryCard {
  background-color: var(--secondary-color);
  box-shadow: 0 .5rem .5rem rgb(from var(--secondary-color) r g b / .75);
  color: var(--off-white) !important;
}

.opaqueCard * {
  opacity: 0.6 !important;
}

.opaqueCard .notOpaque, .opaqueCard .notOpaque *  {
  opacity: 1 !important;
}

.opaqueCard .notOpaqueMem, .opaqueCard .notOpaqueMem *  {
  opacity: 1 !important;
  margin-left: -3rem; 
  margin-right: -3rem;
}



/* Other Reuseable Elements */
.loginImage {
  background-image: url('/img/bgLogin.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  overflow: hidden;
  height: 100%;
  min-height:500px;
}

.darkMask {
  width: 100%;
  height: 100%;
  -webkit-backdrop-filter: blur(8px); 
  backdrop-filter: blur(8px);
  background-color: rgb(from var(--dark-grey-blue) r g b / 0.4);
}

/* .registerBg => lightMask */
.lightMask {
  width:350px;
  min-width: 300px;
  padding: 2rem;
  background-color: rgb(from var(--grey) r g b / 0.8);
  border-radius: 10px;
}

.secondaryGlow {
  border-color: var(--secondary-color);
  box-shadow: 0 0 0 0.25rem rgb(from var(--secondary-color) r g b / .25);
}

.vertical-divider {
  border-left: 1px solid rgb(from var(--dark-grey-blue) r g b / 0.2);

  @media (max-width: 767px) {
    border-left: none;
    border-top: 1px solid rgb(from var(--dark-grey-blue) r g b / 0.2);
  }
}

.horizontal-divider {
  border-bottom: 1px solid rgb(from var(--dark-grey-blue) r g b / 0.2);
}

.horizontal-divider-top {
  border-top: 1px solid rgb(from var(--dark-grey-blue) r g b / 0.2);
}

.list-group-noborder {
  border-top: 0 !important; 
  border-bottom: 0 !important;
}

.course-logo {
  object-fit: contain;
  object-position: center;
  width: 100px;
  height: 100px;

  border-radius: 0.375rem 0 0.375rem 0;

  @media only screen and (max-width: 600px) {
    width: 70px;
    height: 70px;
  }
}

.noBullet {
  list-style-type: none;
}

@media (max-width: 767px) {
    .wrapTextMobile {
      max-width: 57%;
      white-space: normal;
    }
}

.hiddenCardDigits {
  margin-left: .25rem;
  font-size: 11px;
}

.todayHighlightBorder {
  border-left:4px solid var(--primary-75);
}

/* Paginator */
.page-link {
  --bs-pagination-color: var(--primary-color);

  --bs-pagination-hover-color: var(--pure-white);
  --bs-pagination-hover-bg: var(--primary-25);
  --bs-pagination-hover-border-color: var(--primary-color);

  --bs-pagination-focus-color: var(--pure-white);
  --bs-pagination-focus-bg: var(--primary-75);
  --bs-pagination-focus-box-shadow: transparent;

  --bs-pagination-active-color: var(--pure-white);
  --bs-pagination-active-bg: var(--primary-color);
  --bs-pagination-active-border-color: var(--primary-color);
}

/* Booking Rules Day Table */
.rulesDayTable {
  width:100%;
  border-collapse: separate;
  border-spacing: 1px;

  .dow th {
    font-size: 80%;
  }
  
  .day-view {
    cursor: pointer;
    position: relative;
    background: transparent;

    border: 1px solid var(--dark-grey);
    border-radius: 0.25rem;

    overflow: hidden;

    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently */
  }
  
  .day-view:hover {
    border: 1px solid var(--dark-grey-blue);
  }

  .template-bg-container {
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
    border-radius: 0.25rem;
  }

  /* .known-template {} */
  .unknown-template {
    background: var(--grey);
  }
  
  .day-view-date {
    position: relative;
    inset: 0;
  }
}

.circleGradient-lg {
  background-image: linear-gradient(45deg, #454B53, #CCCCCC);
  border-radius: 100%;
  opacity: 60%;
  
  position: absolute;
  top: 100px; 
  left: -50px;

  width: 150px; 
  height: 150px;

  @media (min-width: 576px) { 
    width: 200px; 
    height: 200px;
  }

  @media (min-width: 768px) { 
    width: 300px; 
    height: 300px;
  }

  @media (min-width: 992px) { 
    width: 400px; 
    height: 400px;
  }
}

.circleGradient-md {
  background-image: linear-gradient(45deg, #454B53, #CCCCCC);
  border-radius: 100%;
  opacity: 60%;

  position: absolute;
  bottom: -60px; 
  right: 50px;

  width: 125px; 
  height: 125px;

  @media (min-width: 576px) { 
    width: 150px; 
    height: 150px;
  }

  @media (min-width: 768px) { 
    width: 250px; 
    height: 250px;
  }

  @media (min-width: 992px) { 
    width: 350px; 
    height: 350px;
    right: 300px;
  }
}

.circleGradient-sm {
  background-image: linear-gradient(45deg, #454B53, #CCCCCC);
  border-radius: 100%;
  opacity: 60%;
  
  position: absolute;
  top: 20px; 
  right: -20px;

  width: 100px; 
  height: 100px;

  @media (min-width: 576px) { 
    width: 120px; 
    height: 120px;
  }

  @media (min-width: 768px) { 
    width: 200px; 
    height: 200px;
    right: 20px;
  }

  @media (min-width: 992px) { 
    width: 300px; 
    height: 300px;
  }
}



/* Profile Page Buttons */
@media screen and (min-width: 992px) and (max-width: 1199px) {
  .bookingButtons {
    display: flex !important;
    flex-direction: row !important;
    margin-top: 0.5rem !important;
  }

  .editButton {
    margin-bottom: 0 !important;
    margin-right: 1rem !important;
  }
}

/* Profile Page Grid */
.p-grid-sizer, .p-grid-item, .p-grid-stamp {
  width: calc(50% - 10px);
  margin-bottom: 20px;

  @media (max-width: 768px) {
    width: 100%;
  }
}

.mobile-app-icon {
  width: auto;
  height: 100px; 

  @media (max-width: 767px) {
    height: 88px;
  }
}

.store-link {
  width: auto;
  height: 50px; 

  @media (max-width: 767px) {
    height: 40px;
  }
}

/* Settings Tab Styling */
#settingsTabs {
  --bs-nav-tabs-border-width: var(--bs-border-width);
  --bs-nav-tabs-border-color: var(--bs-border-color);
  --bs-nav-tabs-border-radius: var(--bs-border-radius);
  
  --bs-nav-tabs-link-active-color: var(--off-white);
  --bs-nav-tabs-link-active-bg: var(--secondary-75);
  --bs-nav-tabs-link-active-border-color: var(--secondary-color);

  --bs-nav-link-color: var(--secondary-75);
  --bs-nav-link-hover-color: var(--secondary-color);
}

/* Course Listing Website CSS */
body:has(.website-cont) {
  flex: 1; 
  font-family: Helvetica, Arial, sans-serif;
}

.title-cont {
  position: relative;
  height: 500px;
  width: 100%;

  display: grid;
  gap: 0px;
  grid-template-columns: repeat(10, 10%);
  grid-auto-rows: minmax(100px, auto);

  background-color: rgb(from var(--primary-color) r g b / 0.9);
  overflow: hidden;

  @media (max-width: 600px) { 
    height: 400px;
  };
}

.title-word-cont {
  grid-row: 1;

  height: 100%;
  width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  padding: 32px;

  /* 600px change design */
  @media (max-width: 600px) { 
    grid-column: 1 / span 10; 
    z-index: 100;

    mask-image: linear-gradient(to right,black, black);
    mask-size: 80% 50%;
    mask-repeat: no-repeat;
    mask-position: center;

    box-sizing: border-box;
    border-radius:10px;
    backdrop-filter: blur(8px);
    background: rgba(34, 37, 41, 0.5);
    color: white;
  };

  /* 601px and up */
  @media (min-width: 601px) { 
    grid-column: 1 / span 4; 
  };

  /* 1500px and up */
  @media (min-width: 1500px) { 
    grid-column: 1 / span 3; 
  };
}

.title-img-cont {
  grid-row: 1;
  position: relative;

  height: 100%;
  width: 100%;

  /* Width of the image has to change at different screen sizes */
  @media (max-width: 600px) { 
    grid-column: 1 / span 10;
  };

  @media (min-width: 601px) { 
    grid-column: 5 / span 6; 
    mask-image: radial-gradient(circle at right center,black 80%,transparent 82%);
  };

  @media (min-width: 975px) { 
    grid-column: 5 / span 6; 
    mask-image: radial-gradient(circle at right center,black 90%,transparent 92%);
  };

 @media (min-width: 1500px) { 
    grid-column: 4 / span 7; 
    mask-image: radial-gradient(circle at right center,black 90%,transparent 92%);
  };

  object-fit: cover; 
  object-position: center; 

  mask-size: 100% 100%;
  mask-repeat: no-repeat;
}

.title-img {
  grid-row: 1;

  height: 100%;
  width: 100%;

  object-fit: cover; 
  object-position: center;
}

.region-desc-cont-md {
  position: absolute;
  top: 0;
  left: 0;

  height: 100%;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center; 

  overflow-y: scroll;
}

.region-desc-md {
  flex-shrink: 1;
  flex-basis: 70%;

  color: var(--off-white);
  padding: 2rem;
  box-sizing: border-box; /* prevents padding from increasing box size */
  border-radius: 10px;
  backdrop-filter: blur(8px);
  background: rgba(34, 37, 41, 0.5);

  /* 600px and less */
  @media (max-width: 600px) { 
    display: none; 
  };
}

.region-desc-cont {
  grid-row: 2;
  grid-column: 1 / span 10;

  background-color: rgb(from var(--primary-color) r g b / 0.9);
  color: var(--off-white);

  padding-top: 3rem;
  padding-bottom: 6rem;
  padding-left: 2rem;
  padding-right: 2rem;

  /* 601px and up */
  @media (min-width: 601px) { 
    display: none; 
  };
}

.card-cont {
  position: relative;
  margin-top: -70px;
}

.region-cont, .course-cont {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 .5rem .5rem rgba(0, 0, 0, .15);
  cursor: pointer;
}

.region-cont:hover, .course-cont:hover{
  border-color: var(--primary-color);
  box-shadow: 0 .5rem .5rem rgb(from var(--primary-color) r g b / .25);
  animation: bounce 1s 1;
}

@keyframes bounce {
  0%, 100% {
    top: 0;
    animation-timing-function: ease-in-out; /* Faster drop */
  }
  50% {
    top: -15px; 
    animation-timing-function: ease-in-out; /* Slower rise */
  }
}

.region-img, .course-img {
  object-fit: cover; 
  object-position: center; 

  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;

  min-height: 350px;
  width: 100%;
}

.region-info, .course-info {
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: calc(100% - 20px);
  padding: 20px;
  box-sizing: border-box; /* prevents padding from increasing box size */
  border-radius: 0 10px 0 0;
  backdrop-filter: blur(8px);
  background: rgba(34, 37, 41, 0.5);
  color: white;

  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: start;

  transition: transform 0.8s ease;
  opacity: 1;
  transform: translateY(0px);
}

.region-info.invisible, .course-info.invisible {
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
}